from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.ui.dialogs import XFilePicker

@runtime_checkable
class XFilePicker2(XFilePicker, Protocol):
    def getSelectedFiles(self) -> list[str]: ...
